Bug 9415 - SWAT *.msg files not installed with waf
SWAT *.msg files not installed with waf
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.0rc5
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-11-21 10:45 UTC by Andrew Bartlett
Modified: 2012-12-09 19:49 UTC (History)
2 users (show)

See Also:


Attachments
Patch for master (934 bytes, patch)
2012-12-05 02:00 UTC, Andrew Bartlett
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2012-11-21 10:45:57 UTC
In trying to make a debian package for Samba 4.0, I noticed:

dh_install: swat missing files (usr/share/samba/*.msg), aborting

The SWAT html files are installed, just not the msg files.
Comment 1 Andrew Bartlett 2012-12-05 02:00:15 UTC
Created attachment 8282 [details]
Patch for master

I've found, fixed, and verified this.

I'll get this into master once I find a reviewer, and then upload again a cherry-pick for 4.0.
Comment 2 Karolin Seeger 2012-12-07 08:36:43 UTC
Patch is in master (171c63c3c).
Added some possible reviewers to get it into the release.
Comment 3 Andreas Schneider 2012-12-07 08:40:05 UTC
Comment on attachment 8282 [details]
Patch for master

Looks good
Comment 4 Karolin Seeger 2012-12-07 08:42:46 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2012-12-09 19:49:54 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!